photo

Интеграция с phpBBex

Последнее обновление: 20 сентября 2016

Совместимость: AltoCMS 1.1.+ , AltoCMS 1.0.+

Версия: 1.2.0

Скачан: 1282 раза

Скачать

Добавил: 135

вставить в блог

Описание

Интеграция с phpBB/phpBBex


При интеграции с уже существующими проектами на phpBB или phpBBex самой первой возникает задача использования существующей базы пользователей. Методы формирования хеша пароля у Alto и phpBB — разные. Данный плагин позволяет использовать хеши паролей созданных в phpBB/phpBBex для авторизации пользователей в Alto.

Данный плагин используется как один из элементов по интеграции Alto и phpBBex.

Плагин распространяется на бесплатной основе. Также бесплатно можно получить базовые комментарии по его наладке и запуске кросс-доменных конструкций на его основе.
Более глубокая поддержка — на платной основе.

Версия 1.2.0
— AltoCMS 1.1.19
— phpBB 3.1 / phpBBex 2.0.4

В 3.1 phpBB кардинально переработали код, перешли на Symphony. В связи с этим, чтобы не загружать в Alto избыточный код, пришлось класс phpbb\passwords изувечить для работы без Symphony.
В результате плагин позволяет работать с хешами паролей phpBB 3.1 а также организовать кросс-доменную авторизацию на основе стандартного PHP сессионного механизма. Реализована проверка пароля по хешу phpBB и генерация хеша phpBB (изменение пароля через AltoCMS).
Кроме модуля необходимо расширение phpBB 3.1 altocms, а также набор триггеров и, возможно, хранимых процедур.

Добавление в версии 1.1.1
— изменён сессионный механизм для поддержки кросс-доменной авторизации. Сессия существует всегда, пользовательский ключ в куках отсутствует.
— в случае отсутствия репликации сессии в БД PhpBB(ex), связанность с forum_user_id отсутствует.
— изменена функция получения юзера по сессии. Пользователь получается в один запрос.

При наличии механизма репликации сессий, во время авторизации в Alto создаются ключи в сессиях и куках, что позволяет сохранить авторизацию при переходе на форум PhpBB(ex).

11 комментариев

0
Сделайте пожалуйста интеграцию с форумом IPB 4.x
0
Поискал бегло IPB 4, такое впечатление, что данный софт настолько платный, что даже скачать легально нельзя -). Если я не прав, дайте ссылку где взять, или тестовый сервак с IPB — запилю интеграцию и с ними тоже.
0
без проблем. я вам дам самую последнюю. Только давайте тогда дождемся 4.2 версию. Она должна быть уже стабильной. а то щас еще идут фиксы и обновления. Что бы вдруг небыло проблем с БД после выхода новой версии?
0
Ок.
Пишите в личку как будет конкретика.
0
Вот, пожалуйста. Стабильная версия. А то данная тема умрет...
0
IPS — это ведь не IPB?!
0
Так скажем , создатели теже, просто это совершенно новая версия. 3 и 4 версия сильно отличаются...
0
Блин, комментарии к плагинам не выводятся в общую ленту и чтобы увидеть надо бегать по всем материалам —((.

То, что версии 3 и 4 отличаются — это понятно, пять минут наедине с гуглом и приходит понимание, что 4-ка довольно жесткое издевательство над людьми.
Но вот понять IPS — это новое название IPB или нет — с полной уверенностью не получилось.
На оффсайте вообще термин vBulletin 4...
0
я выпустил интеграционный плагин для vBulletin-3.8.7, ждём модерации
0
Не понятно как ставить его ...
0
Плагин ставится как и все остальные плагины — размещается в каталоге и активируется через админку.

С этого момента начинают работать хеши паролей от PhpBB(ex). Для того, чтобы заработала кросс-доменная авторизация, необходимо настроить репликацию сессий триггерами и внести дополнительные изменения в PhpBB(ex). В частности заменить собственный сессионный механизм phpbb на стандартный php.
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.